For the complete documentation index, see llms.txt. This page is also available as Markdown.

distance/route/maritime

Calculate maritime sea route distances between points

Maritime route and airline distance

post

Get maritime route distances. Points will be matched to the nearest sea route vertex.

Authorizations
X-Billing-TokenstringRequired

Authentication token for billing. Get your token at https://developers.distance.tools.

Body
Responses
200

Valid request and found waypoints

No content

post/distance/route/maritime
POST /api/v2/distance/route/maritime HTTP/1.1
Host: api.distance.tools
X-Billing-Token: YOUR_API_KEY
Content-Type: application/json
Accept: */*
Content-Length: 44

{
  "route": [
    {
      "name": "text",
      "country": "text"
    }
  ]
}

No content

Units

The travel duration for car routing is given in seconds. For maritime routes, which are given in hours duration is calculated with a speed of 20 knots. 20 knots = 20 NM / hour.

Last updated